#include <iostream>

using namespace std;

void swap(int &a, int &b) {
	a = a ^ b;
	b = a ^ b;
	a = a ^ b;
}

int main() {
    int n;
    cin >> n;
    int a[n];
    for(int i = 0; i < n; i++) cin >> a[i];
    bool x = true;
    int max, imax;
    int i, j;
    for(i = 0;i < n-1 && x; i++) {
    	max = a[i];
    	imax = 0;
    	for(j = i+1; j < n; j++){
    		if(a[j] >= max){
    			max = a[j];
    			imax = j;
			}
		}
		if(a[i] < max) {
			swap(a[imax],a[i]);
			x = false;
		}
	}
    if(x) {
    	j = i;
    	i--;
    	swap(a[i], a[j]);
	}
    for(const int& r : a) cout << r << " ";
	return 0;	
}